part of 'test_set_control_bloc.dart';

abstract class TestSetControlState extends Equatable {
  const TestSetControlState();

  @override
  List<Object> get props => [];
}

class TestSetControlInitial extends TestSetControlState {
  const TestSetControlInitial();
}

class TestSetControlLoading extends TestSetControlState {
  const TestSetControlLoading();
}

class TestSetControlReady extends TestSetControlState {
  const TestSetControlReady();
}

class TestSetControlError extends TestSetControlState {
  final String message;
  const TestSetControlError({required this.message});

  @override
  List<Object> get props => [message];
}
